> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get analytic accounts (Multiple Analytic Plans)

> Returns all analytic accounts of all analytic plans



## OpenAPI

````yaml get /consumers/{consumer_id}/accounting/analytic-accounts/multi-analytic-plans
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/analytic-accounts/multi-analytic-plans:
    get:
      tags:
        - Accounting
        - Analytic accounts
      summary: Get analytic accounts (Multiple Analytic Plans)
      description: Returns all analytic accounts of all analytic plans
      operationId: accounting_get_analytic_accounts_multi_plans
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: folder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Id
          description: >-
            Id of the accounting folder instance. A folder represents a legal
            entity within the system. Required when the multiple folders feature
            is enabled.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ChiftPage_AnalyticAccountItemOutMultiAnalyticPlans_
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - accounting
            - accounting.read
            - accounting.analytic_accounts
            - accounting.analytic_accounts.read
components:
  schemas:
    ChiftPage_AnalyticAccountItemOutMultiAnalyticPlans_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AnalyticAccountItemOutMultiAnalyticPlans'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[AnalyticAccountItemOutMultiAnalyticPlans]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    AnalyticAccountItemOutMultiAnalyticPlans:
      properties:
        id:
          type: string
          title: Id
          description: Unique id of the analytic account in the accounting system.
        active:
          type: boolean
          title: Active
          description: Flag indicating whether the analytic account is active.
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
          description: >-
            Short code for the analytic account. Often used for internal
            referencing. For some integrations, it may be required to be unique.
        name:
          type: string
          title: Name
          description: >-
            Name or label of the analytic account as it appears in the
            accounting system.
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Indicates the currency of the analytic account (e.g., EUR, USD).
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
          default: 0
        credit:
          anyOf:
            - type: number
            - type: 'null'
          title: Credit
          default: 0
        debit:
          anyOf:
            - type: number
            - type: 'null'
          title: Debit
          default: 0
        analytic_plan:
          type: string
          title: Analytic Plan
      type: object
      required:
        - id
        - active
        - name
        - analytic_plan
      title: AnalyticAccountItemOutMultiAnalyticPlans
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````